#
# spec file for package kstocks (Version 2.0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft openssl openssl-devel postgresql postgresql-devel postgresql-libs qt qt-devel qt-extensions sp xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl postgresql postgresql-devel postgresql-libs ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 -b "postgresql postgresql-devel postgresql-lib"
Name:         kstocks
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Manage your stocks and shares
Version:      2.0.2
Release:      168
Source0:      kstocks-2.0.2.tar.bz2

%description
KStocks allows you to manage your stocks and shares. Compute your
profit.

Authors:
--------
    Andreas Wst <if0626@pc4.fh-isny.de>

SuSE series: k2de

%prep
%setup -n kstocks-2.0.2

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  --with-pgsqldir=/usr/lib \
  
make

%install
make install

%files
%doc INSTALLDB.TXT AUTHORS INSTALL COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/kstocks
%dir /opt/kde2/share/apps/kstocks/logos
%dir /opt/kde2/share/doc/HTML/en/en
%dir /opt/kde2/share/icons/medium
%dir /opt/kde2/share/icons/medium/locolor
%dir /opt/kde2/share/icons/medium/locolor/apps
%dir /opt/kde2/share/icons/small
%dir /opt/kde2/share/icons/small/locolor
%dir /opt/kde2/share/icons/small/locolor/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
/opt/kde2/bin/kstocks
/opt/kde2/share/applnk/Applications/kstocks.desktop
/opt/kde2/share/apps/kstocks/col_footer.tex
/opt/kde2/share/apps/kstocks/col_header.tex
/opt/kde2/share/apps/kstocks/green-ball.xpm
/opt/kde2/share/apps/kstocks/logos/000000.gif
/opt/kde2/share/apps/kstocks/red-ball.xpm
/opt/kde2/share/apps/kstocks/template.tex
#/opt/kde2/share/doc/HTML/en/en/.anchors
#/opt/kde2/share/doc/HTML/en/en/commands.html
#/opt/kde2/share/doc/HTML/en/en/common
#/opt/kde2/share/doc/HTML/en/en/compilation.html
#/opt/kde2/share/doc/HTML/en/en/configuration.html
#/opt/kde2/share/doc/HTML/en/en/credits.html
#/opt/kde2/share/doc/HTML/en/en/developers.html
#/opt/kde2/share/doc/HTML/en/en/faq.html
#/opt/kde2/share/doc/HTML/en/en/index.docbook
#/opt/kde2/share/doc/HTML/en/en/index.html
#/opt/kde2/share/doc/HTML/en/en/installation.html
#/opt/kde2/share/doc/HTML/en/en/introduction.html
#/opt/kde2/share/doc/HTML/en/en/re-1007-unmanagechildren-1.html
#/opt/kde2/share/doc/HTML/en/en/requirements.html
#/opt/kde2/share/doc/HTML/en/en/using-kapp.html
/opt/kde2/share/icons/medium/locolor/apps/kstocks.xpm
/opt/kde2/share/icons/small/locolor/apps/kstocks.xpm
/opt/kde2/share/locale/de/LC_MESSAGES/kstocks.mo

%changelog -n kstocks
* Mon Aug 13 2001 - ro@suse.de
- removed kdesupport from neededforbuild
- removed sp_libs from neededforbuild
* Sun Apr 01 2001 - adrian@suse.de
- New version 2.0.2
* Fri Mar 30 2001 - ro@suse.de
- neededforbuild fix
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- removed second occurence of docbk30 from neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Thu Jan 25 2001 - stepan@suse.de
- alpha gcc 2.95.2 fixes
* Mon Jan 15 2001 - sf@suse.de
- added math.h to showportfolio.h to make it compile on IA64
- added "kstocks" to suse_update_config
* Wed Jan 10 2001 - @suse.de
- fix docu path
* Wed Jan 03 2001 - adrian@suse.de
- update to 2.0.0 beta 2 (KDE 2)
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from kstocks-0.0.8.tar.gz by autospec
* Thu Mar 16 2000 - adrian@suse.de
- New version 0.0.8
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul 02 1999 - kettner@suse.de
- Spec file created from kstocks-0.0.4.tar.gz by autospec
